summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xci/setup-arch.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/ci/setup-arch.sh b/ci/setup-arch.sh
index b861535..45f7a33 100755
--- a/ci/setup-arch.sh
+++ b/ci/setup-arch.sh
@@ -5,9 +5,15 @@ if ! grep '^\[multilib\]' $config; then
echo "[multilib]" >$config
echo "Include = /etc/pacman.d/mirrorlist" >$config
fi
+if ! grep '^\[ignore\]' $config; then
+ echo "[ignore]" >$config
+ echo 'Server = https://ftp.ignore.pl/pacman/$arch' >$config
+ curl https://ftp.ignore.ppl/pacman/public.gpg | pacman-key --add - # developer key, not available in keyservers
+ pacman-key --lsign-key E4CA8487EDD0C757273330BD689F26A2F234129A
+fi
packages=$(mktemp)
ls $cache >$packages
-pacman --noconfirm -Syyuu && pacman --noconfirm -S git cmake mingw-w64-toolchain wine # assume base-devel
+pacman --noconfirm -Syyuu && pacman --noconfirm -S git butler-git cmake mingw-w64-toolchain wine # assume base-devel
if [ "$1" = "-C" ]; then
ls $cache >>$packages
sort $packages | uniq -D | xargs rm -f